//
//  setup_limits_dlg.cpp - setup limits dialog class implementation
//
//  $Id: setup_limits_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupLimitDlg dialog
//
CSetupLimitDlg::CSetupLimitDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupLimitDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupLimitDlg)
	m_ULowerLimit = "";
	m_UUpperLimit = "";
	m_VLowerLimit = "";
	m_VUpperLimit = "";
	m_WLowerLimit = "";
	m_WUpperLimit = "";
	m_XLowerLimit = "";
	m_XUpperLimit = "";
	m_YLowerLimit = "";
	m_YUpperLimit = "";
	m_ZLowerLimit = "";
	m_ZUpperLimit = "";
	//}}AFX_DATA_INIT
}

void CSetupLimitDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupLimitDlg)
	DDX_Text(pDX, IDC_ULOWERLIMIT, m_ULowerLimit);
	DDX_Text(pDX, IDC_UUPPERLIMIT, m_UUpperLimit);
	DDX_Text(pDX, IDC_VLOWERLIMIT, m_VLowerLimit);
	DDX_Text(pDX, IDC_VUPPERLIMIT, m_VUpperLimit);
	DDX_Text(pDX, IDC_WLOWERLIMIT, m_WLowerLimit);
	DDX_Text(pDX, IDC_WUPPERLIMIT, m_WUpperLimit);
	DDX_Text(pDX, IDC_XLOWERLIMIT, m_XLowerLimit);
	DDX_Text(pDX, IDC_XUPPERLIMIT, m_XUpperLimit);
	DDX_Text(pDX, IDC_YLOWERLIMIT, m_YLowerLimit);
	DDX_Text(pDX, IDC_YUPPERLIMIT, m_YUpperLimit);
	DDX_Text(pDX, IDC_ZLOWERLIMIT, m_ZLowerLimit);
	DDX_Text(pDX, IDC_ZUPPERLIMIT, m_ZUpperLimit);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupLimitDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupLimitDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupLimitDlg message handlers
